Get list of wallets

GET
/wallets

Get list of wallets. Wallets are returned oldest first, without deposit details.

Authorization

Bearer
headerAuthorizationBearer <JWT>

OAuth access token.

Header Parameters

X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in1

Response Body

OK - Successful request, returning wallets' list.

application/json
  1. response
[index: integer]?

A wallet as returned in the list.

Example Request
curl -X GET 'https://stablecoins.sandbox.volt.io/wallets' \  -H 'X-Volt-Api-Version: 1'
Example Response
[  {    "id": "6a4f0c9e-2d1b-4c8a-9f3e-b7d2a1c4e5f6",    "name": "EUR settlement",    "type": "FIAT",    "status": "ACTIVE",    "currency": "EUR",    "balance": "48250.75",    "isTargetWallet": false,    "createdAt": "2026-06-09T14:05:12+00:00",    "updatedAt": "2026-08-01T09:00:00+00:00"  },  {    "id": "0b8d3f21-7c4e-4a6d-8e2f-a9c1b3d5e7f0",    "name": "USDC Treasury",    "type": "CRYPTO",    "status": "ACTIVE",    "currency": "USDC",    "balance": "14727.556775",    "isTargetWallet": true,    "createdAt": "2026-06-09T14:06:23+00:00",    "updatedAt": "2026-08-01T09:00:00+00:00"  }]